Bug 234882 - Review Request: libident - New LibIdent C library
Review Request: libident - New LibIdent C library
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
Depends On:
Blocks: 234926
  Show dependency treegraph
Reported: 2007-04-02 14:29 EDT by Andreas Thienemann
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-21 14:27:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2007-04-02 14:29:57 EDT
Spec URL: http://home.bawue.de/~ixs/libident/libident.spec
SRPM URL: http://home.bawue.de/~ixs/libident/libident-0.30-1.src.rpm
LibIdent is a small C library for interfacing with RFC 1413 
Identification protocol servers, which are used for identifying users. 
LibIdent supports both IPv4 and IPv6 addresses transparently.

It is meant to be used by daemons to try to authenticate users using the 
Ident protocol. For this to work, users need to have an Ident server 
running on the system from which they are connected.
Comment 1 Jochen Schmitt 2007-04-02 15:36:18 EDT
+ Naming is ok.
+ Tar ball matches with upstream.
+ License ok.
+ Package contains verbatin copy of the license.
+ rpmlint quite on source rpm.
+ Local build works fine.
+ Rpmlint quite on binary package
ΓΌ Rpmlint quite on debuginfo package

- you should create a package called libident which contains a shared library.
Providing only a static library vaiolate the packaging rules.

Comment 2 Andreas Thienemann 2007-04-02 15:45:08 EDT
Well, this might be a bit problematic, as libident has code currently to provide
a shared libary.
Comment 3 Andreas Thienemann 2007-04-02 15:52:05 EDT
Ahh, just to clarify: The problem is not creating a shared library for libident.
This can be done probably with something like gcc -shared -Wl,-soname,libident
-o libident.so *.o.

The problem is more that all the tools I've seen which use libident are
expecting this to be a static lib.

So we're in a similar situation as with libnet.
Comment 4 Andreas Thienemann 2007-04-02 16:17:23 EDT
Mhm, Seems like my testcase ngircd works with the shared library as well. Must
have been updated in the last months then.

I uploaded a new spec which created a shared library.

Please take a look.
Comment 5 Jochen Schmitt 2007-04-03 10:25:14 EDT
+ Local build works fine.

- in.libidenttestd seems to be staticly linked agains libident
- Please upload a full source rpm for review.
Comment 6 Andreas Thienemann 2007-04-03 14:29:27 EDT
Mhm. I must have missed the static linking against in.libidenttestd. Fixed.

And please do take a look into the directory
<http://home.bawue.de/~ixs/libident/>. You'll find not only the spec but all
SRPMS and the extracted contents as well...
Comment 7 Jochen Schmitt 2007-04-18 11:29:52 EDT
- libident-tools subpackage should contains Requires: %{name} =
Comment 8 Andreas Thienemann 2007-04-26 04:15:09 EDT
New package with the require at the usual place.
Comment 9 Jochen Schmitt 2007-04-26 11:39:39 EDT
Sorry, But I could not found the suggested chage in the tools subpackage.:q!
Comment 10 Andreas Thienemann 2007-04-26 11:54:53 EDT
Uhm. Please check <http://home.bawue.de/~ixs/libident/libident-0.30-4.src.rpm>
and <http://home.bawue.de/~ixs/libident/libident.spec>.

Both should have the Requires line you asked for.
Comment 11 Jochen Schmitt 2007-05-22 11:19:56 EDT
+ Local install and uninstall works fine.
+ in.libidentd was dynamicly linked agains libident.so
+ Mockbuild works fine.

*** APPROVED ***
Comment 12 Andreas Thienemann 2007-11-20 16:08:33 EST
New Package CVS Request
Package Name: libident
Short Description: New LibIdent C library
Owners: ixs
Branches: F-7 F-8 EL-5 EL-4
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2007-11-20 22:44:03 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.